# bytecompile with Python 3
%global __python %{__python3}

%global lollypop_tag 5b124caf207cff0b52663cb2aa1d26b0
%global lollypop_portal_tag 42bd030f9c8391db93a335c6a23783bf
%global subpkg  lollypop-portal
%global subversion  0.9.7

Name:           lollypop
Version:        0.9.513
Release:        1%{?dist}
Summary:        Music player for GNOME
License:        GPLv3+
URL:            https://gitlab.gnome.org/gnumdk/lollypop
Source0:        https://gitlab.gnome.org/gnumdk/%{name}/uploads/%{lollypop_tag}/%{name}-%{version}.tar.xz
Source1:        https://gitlab.gnome.org/gnumdk/%{subpkg}/uploads/%{lollypop_portal_tag}/%{subpkg}-%{subversion}.tar.xz
BuildRequires:  gobject-introspection-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  python3-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk3-devel
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  meson
Requires:       gdk-pixbuf2
Requires:       gstreamer1-plugins-base
Requires:       gobject-introspection
Requires:       gtk3
Requires:       kid3-common
Requires:       libnotify >= 0.7.6
Requires:       python3-gobject
Requires:       python3-cairo
Requires:       python3-dbus
Requires:       python2-pylast
Requires:       pango
Requires:       totem-pl-parser
# wikipedia, last.fm support
Requires:       python3-wikipedia
Requires:       python3-pylast
Requires:       %{name}-portal = %{version}-%{release}
BuildArch:      noarch

%description
Lollypop is a new GNOME music playing application.

%package        portal
Summary:        Lollypop flatpak portal (advanced features)
BuildArch:      noarch

%description    portal
Lollypop flatpak portal (advanced features for Lollypop).
Lollypop portal dbus service allow Lollypop to launch external
commands (pa-cmd, kid3-cli, ...) through flatpak sandbox.
This service is also used when running without sandbox.

%package cli
Summary:        CLI for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description cli
This package provides a command-line interface to 
export play-lists to m3u format in current directory or
allow user to add YouTube tracks.

%prep
%autosetup -p1 -a1
rm -rf build && mkdir build
pushd %{subpkg}-%{subversion}
rm -rf build && mkdir build
popd

%build
pushd %{subpkg}-%{subversion}
     %meson
     %meson_build
popd
%meson
%meson_build

%install
%meson_install
pushd %{subpkg}-%{subversion}
     %meson_install
popd

%find_lang %{name} --with-gnome
chmod +x %{buildroot}%{_bindir}/*%{name}*
chmod +x %{buildroot}%{_libexecdir}/%{name}-portal

%check
#meson_test failed on koji build server with
#url-not-found : <screenshot> failed to connect: Cannot resolve hostname
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Lollypop.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/*.appdata.xml

%files -f %{name}.lang
%doc AUTHORS README.md TODO
%license LICENSE 
%{_bindir}/%{name}
%{_datadir}/%{name}/%{name}.gresource
%{_libexecdir}/%{name}-sp
%{_datadir}/metainfo/org.gnome.Lollypop.*.xml
%{_datadir}/applications/org.gnome.Lollypop.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.Lollypop.png
%{_datadir}/icons/hicolor/*/apps/org.gnome.Lollypop-symbolic.svg
%{_datadir}/dbus-1/services/org.gnome.Lollypop.SearchProvider.service
%{_datadir}/gnome-shell/search-providers/%{name}-search-provider.ini
%{python3_sitelib}/%{name}

%files portal
%doc %{subpkg}-%{subversion}/README.md
%license %{subpkg}-%{subversion}/LICENSE
%{_datadir}/dbus-1/services/org.gnome.Lollypop.Portal.service
%{_libexecdir}/%{name}-portal

%files cli
%{_bindir}/%{name}-cli

%changelog
* Wed May 23 2018 Martin Gansser <martinkg@fedoraproject.org> - 0.9.513-1
- Update to 0.9.513

* Wed May 16 2018 Martin Gansser <martinkg@fedoraproject.org> - 0.9.512-1
- Update to 0.9.512

* Wed May 16 2018 Martin Gansser <martinkg@fedoraproject.org> - 0.9.511-1
- Update to 0.9.511

* Tue May 15 2018 Martin Gansser <martinkg@fedoraproject.org> - 0.9.510-1
- Update to 0.9.510

* Wed May 02 2018 Martin Gansser <martinkg@fedoraproject.org> - 0.9.508-1
- Update to 0.9.508

* Thu Apr 26 2018 Martin Gansser <martinkg@fedoraproject.org> - 0.9.507-1
- Update to 0.9.507

* Thu Apr 19 2018 Martin Gansser <martinkg@fedoraproject.org> - 0.9.506-1
- Update to 0.9.506

* Sat Apr 14 2018 Martin Gansser <martinkg@fedoraproject.org> - 0.9.504-1
- Update to 0.9.504

* Fri Apr 13 2018 Martin Gansser <martinkg@fedoraproject.org> - 0.9.502-1
- Update to 0.9.502

* Thu Apr 12 2018 Martin Gansser <martinkg@fedoraproject.org> - 0.9.501-1
- Update to 0.9.501

* Thu Apr 12 2018 Martin Gansser <martinkg@fedoraproject.org> - 0.9.500-1
- Update to 0.9.500

* Tue Apr 10 2018 Martin Gansser <martinkg@fedoraproject.org> - 0.9.403-3
- Changed RR from pyplast to python2-pylast

* Thu Apr 05 2018 Martin Gansser <martinkg@fedoraproject.org> - 0.9.403-2
- Add art_album.py.diff (BZ #1562595)
- Add bytecompile with Python 3 %%global __python %%{__python3}

* Thu Mar 29 2018 Martin Gansser <martinkg@fedoraproject.org> - 0.9.403-1
- Update to 0.9.403

* Wed Mar 28 2018 Martin Gansser <martinkg@fedoraproject.org> - 0.9.402-2
- Update lollypop-portal to 0.9.7

* Tue Mar 20 2018 Martin Gansser <martinkg@fedoraproject.org> - 0.9.402-1
- Update to 0.9.402

* Wed Mar 14 2018 Martin Gansser <martinkg@fedoraproject.org> - 0.9.401-1
- Update to 0.9.401
- Cleanup spec file

* Wed Mar 07 2018 Martin Gansser <martinkg@fedoraproject.org> - 0.9.400-1
- Update to 0.9.400

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.306-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 06 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.9.306-2
- Remove obsolete scriptlets

* Sun Dec 31 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.9.306-1
- Update to 0.9.306
- Switch to gitlab

* Tue Oct 17 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.9.304-1
- Update to 0.9.304

* Sat Oct 07 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.9.303-1
- Update to 0.9.303

* Thu Jul 27 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.9.244-1
- Remove rhythmbox2lollypop since it moved to lollypop-cli
- Update lollypop-portal to 3a3a8b1
- Update to 0.9.244

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.243-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Jul 07 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.9.243-2
- Set executable flag for %%{buildroot}%%{_libexecdir}/%%{name}-portal

* Fri Jul 07 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.9.243-1
- Update to 0.9.243
- Switched to meson build system
- Add BR meson

* Wed Jul 05 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.9.242-1
- Update to 0.9.242

* Fri Jun 09 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.9.240-1
- Update to 0.9.240

* Sat Jun 03 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.9.239-1
- Update to 0.9.239

* Fri May 26 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.9.238-1
- Update to 0.9.238

* Sun Apr 16 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.9.231-1
- Update to 0.9.231
- Dropped %%{name}_fix_handle_locked_DB.patch

* Sat Mar 25 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.9.230-3
- Add RR totem-pl-parser - (bz#1435866)

* Sat Mar 25 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.9.230-2
- Add %%{name}_fix_handle_locked_DB.patch - (bz#1431320)

* Tue Feb 28 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.9.230-1
- Update to 0.9.230

* Tue Jan 24 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.9.229-1
- Update to 0.9.229

* Sat Jan 14 2017 Martin Gansser <martinkg@fedoraproject.org> - 0.9.226-1
- Update to 0.9.226

* Wed Dec 28 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.223-5
- remove %%exclude %%{_datadir}/locale/*/LC_MESSAGES/%%{name}.mo
  due missing "*.mo" files (rhbz#1408854)

* Thu Dec 22 2016 Miro Hrončok <mhroncok@redhat.com> - 0.9.223-4
- Rebuild for Python 3.6

* Sun Dec 11 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.223-3
- Add some documentation fixes

* Sat Dec 10 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.223-2
- Add Requires to base package
- Remove Requires on the subpkg lollypop-portal
- Add NOCONFIGURE=1 ./autogen.sh to subpkg lollypop-portal

* Fri Dec 09 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.223-1
- Update to 0.9.223
- Add subpkg lollypop-cli

* Thu Dec 08 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.222-1
- Update to 0.9.222
- Set correct file permission
- Add subpkg lollypop-portal

* Fri Nov 25 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.220-1
- Update to 0.9.220

* Wed Nov 23 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.219-1
- Update to 0.9.219
- Add %%attr to correct file permisson

* Mon Nov 14 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.216-1
- Update to 0.9.216

* Mon Oct 24 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.213-1
- Update to 0.9.213

* Sat Oct 08 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.210-1
- Update to 0.9.210

* Thu Oct 06 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.209-1
- Update to 0.9.209

* Sun Oct 02 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.206-1
- Update to 0.9.206
- Added Requires: kid3-common
- Added Requires: python3-pylast
- Added Requires: python3-wikipedia

* Mon Sep 26 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.205-1
- Update to 0.9.205

* Wed Sep 21 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.204-1
- Update to 0.9.204
- Use full path for scriptlets
- Corrected ownership of %%{_datadir/%%{name}/ in file section
- Dropped Requires: gstreamer1

* Sun Sep 18 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.202-1
- Update to 0.9.202
- Added pylast Requirement

- Mon Aug 01 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.112-2
- Added pylast Requirement

* Mon Jul 25 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.112-1
- Initial package
